Generate a Grafana snapshot report showing build runner pod usage for a specific deployment
curl --request POST \
--url https://api.qovery.com/environment/{environmentId}/deploymentBuildUsageReport \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"execution_id": "<string>",
"report_expiration_in_seconds": 86400
}
'import requests
url = "https://api.qovery.com/environment/{environmentId}/deploymentBuildUsageReport"
payload = {
"execution_id": "<string>",
"report_expiration_in_seconds": 86400
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({execution_id: '<string>', report_expiration_in_seconds: 86400})
};
fetch('https://api.qovery.com/environment/{environmentId}/deploymentBuildUsageReport', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"report_url": "<string>",
"delete_report_url": "<string>"
}Environment Deployment History
Generate a Grafana snapshot report showing build runner pod usage for a specific deployment
Generate a Grafana snapshot report that shows the resource usage (CPU, memory) of build runner pods for a specific deployment execution. The report is publicly accessible for the specified duration.
POST
/
environment
/
{environmentId}
/
deploymentBuildUsageReport
Generate a Grafana snapshot report showing build runner pod usage for a specific deployment
Authorizations
bearerAuthApiKeyAuth
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Environment ID
Body
application/json
Was this page helpful?